Skip to main content
`Ctrl`+`K`

# PetscDrawLGAddCommonPoint

Adds another point to each of the line graphs. All the points share the same new X coordinate. The new point must have an X coordinate larger than the old points.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGAddCommonPoint(PetscDrawLG lg, const PetscReal x, const PetscReal *y)

Logically Collective

## Input Parameters

- lg - the line graph context

- x - the common x coordinate point

- y - the new y coordinate point for each curve.

## Notes

You must call `PetscDrawLGDraw()` to display any added points

Call `PetscDrawLGReset()` to remove all points

## See Also

`PetscDrawLG`, `PetscDrawLGCreate()`, `PetscDrawLGAddPoints()`, `PetscDrawLGAddPoint()`, `PetscDrawLGReset()`, `PetscDrawLGDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lg.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages